VPS侦探论坛

 找回密码
 注册
查看: 452|回复: 9

lnmp1.6升级1.7失败

[复制链接]
发表于 2021-3-4 15:27:07 | 显示全部楼层 |阅读模式



lnmp1.5升级到1.6成功了,继续升级到1.7最后出现如下情况,请帮忙看看。
cc1: warnings being treated as errors
src/event/ngx_event_openssl.c: In function ‘ngx_ssl_check_host’:
src/event/ngx_event_openssl.c:2511: error: pointer targets in passing argument 2 of ‘X509_check_host’ differ in signedness
/root/lnmp1.7/src/openssl-1.0.2u/.openssl/include/openssl/x509v3.h:741: note: expected ‘const char *’ but argument is of type ‘u_char *’
src/event/ngx_event_openssl.c:2511: error: too few arguments to function ‘X509_check_host’
make[1]: *** [objs/src/event/ngx_event_openssl.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory `/root/lnmp1.7/src/nginx-1.7.0'
make: *** [build] Error 2
make -f objs/Makefile
make[1]: Entering directory `/root/lnmp1.7/src/nginx-1.7.0'
cc -c -pipe  -O -W -Wall -Wpointer-arith -Wno-unused-parameter -Werror -g  -I src/core -I src/event -I src/event/modules -I src/os/unix -I /root/lnmp1.7/src/openssl-1.0.2u/.openssl/include -I objs \
                -o objs/src/event/ngx_event_openssl.o \
                src/event/ngx_event_openssl.c
cc1: warnings being treated as errors
src/event/ngx_event_openssl.c: In function ‘ngx_ssl_check_host’:
src/event/ngx_event_openssl.c:2511: error: pointer targets in passing argument 2 of ‘X509_check_host’ differ in signedness
/root/lnmp1.7/src/openssl-1.0.2u/.openssl/include/openssl/x509v3.h:741: note: expected ‘const char *’ but argument is of type ‘u_char *’
src/event/ngx_event_openssl.c:2511: error: too few arguments to function ‘X509_check_host’
make[1]: *** [objs/src/event/ngx_event_openssl.o] Error 1
make[1]: Leaving directory `/root/lnmp1.7/src/nginx-1.7.0'
make: *** [build] Error 2
cp: cannot stat `objs/nginx': No such file or directory
Test nginx configure file...
include/upgrade_nginx.sh: line 73: /usr/local/nginx/sbin/nginx: No such file or directory
upgrade...
/usr/local/nginx/sbin/nginx -t
make: /usr/local/nginx/sbin/nginx: Command not found
make: *** [upgrade] Error 127
Checking ...
Error: Nginx upgrade failed.


美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-3-4 20:01:49 | 显示全部楼层


你这哪是升级,nginx-1.7.0 是2014年的版本,lnmp 1.7自带的版本是nginx-1.18.0
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-3-30 14:04:03 | 显示全部楼层



怎么解决?另外一个问题,用的wordpress建的网站,打算升级服务器centos版本,在网站后台备份数据库后,还需要在服务器再备份数据库不?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-3-30 14:55:42 | 显示全部楼层



地狱精灵 发表于 2021-3-30 14:04
怎么解决?另外一个问题,用的wordpress建的网站,打算升级服务器centos版本,在网站后台备份数据库后,还 ...

nginx版本输入 1.18.0 或 1.19.8
centos升级版本巨麻烦而且可能会不成功,centos目前也没升级的必要,建议换debian或ubuntu
一般系统小版本升级是不需要,大版本某些不更新的php之类的可能会因为依赖包版本过高而无法运行
所有的升级操作都建议先备份数据,虽然升级nginx不会牵扯到数据库
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
 楼主| 发表于 2021-3-30 15:28:31 | 显示全部楼层

licess 发表于 2021-3-30 14:55
nginx版本输入 1.18.0 或 1.19.8
centos升级版本巨麻烦而且可能会不成功,centos目前也没升级的必要,建 ...

我的服务器还是centos6.9,不支持php最新版的吧。请问。

美国VPS、VPN、域名代购:http://shop63846532.taobao.com/

 楼主| 发表于 2021-3-30 15:33:04 | 显示全部楼层

licess 发表于 2021-3-30 14:55
nginx版本输入 1.18.0 或 1.19.8
centos升级版本巨麻烦而且可能会不成功,centos目前也没升级的必要,建 ...

当地网信部门要求修复漏洞,漏洞有两个一个是通过HTTP传输的密码,第二个是out-of-date version(php)过期版本,请问怎么解决?
 楼主| 发表于 2021-3-30 15:53:20 | 显示全部楼层

licess 发表于 2021-3-30 14:55
nginx版本输入 1.18.0 或 1.19.8
centos升级版本巨麻烦而且可能会不成功,centos目前也没升级的必要,建 ...

我这里是租的阿里云服务器,换操作系统的话还需要联系客服,网站备份还是需要在网站后台和操作系统下都进行?
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
发表于 2021-3-30 19:35:07 | 显示全部楼层



地狱精灵 发表于 2021-3-30 15:33
当地网信部门要求修复漏洞,漏洞有两个一个是通过HTTP传输的密码,第二个是out-of-date version(php)过期 ...

第一个http换成https就行了,如果之前是用lnmp vhost add 添加的再 lnmp ssl add 添加
第二个out-of-date version php,你把php版本升级到当前还支持的php 7.2+版本就行了,但你自己要确定好你网站程序对php 7.2+版本的兼容性
Linux下Nginx+MySQL+PHP自动安装工具:https://lnmp.org
发表于 2021-3-30 20:12:42 | 显示全部楼层



地狱精灵 发表于 2021-3-30 15:28
我的服务器还是centos6.9,不支持php最新版的吧。请问。

是的,centos 6都已经寿终正寝了
美国VPS推荐: 遨游主机LinodeLOCVPSKVMLAVPS2EZ搬瓦工80VPSVultr美国VPS主机中国VPS推荐: 阿里云腾讯云。LNMP付费服务(代装/问题排查)QQ 503228080
 楼主| 发表于 2021-3-31 14:25:25 | 显示全部楼层



licess 发表于 2021-3-30 19:35
第一个http换成https就行了,如果之前是用lnmp vhost add 添加的再 lnmp ssl add 添加
第二个out-of-date ...

感谢指导,已经决心更换系统了。debian
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|Archiver|VPS侦探 ( 鲁ICP备16040043号-1 )

GMT+8, 2021-5-14 16:12 , Processed in 0.063923 second(s), 26 queries .

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表